import axios from 'axios'

class Service {
    constructor(url) {
        this.url = url
    }
    getFinanzerMain(token) {
        return axios.get(this.url + "getFinanzerMain", {headers: {Token: token}})

    }
    login(loginData) {
        return axios.post(this.url+'login', {...loginData})
    }
    getUserBar(token) {
        return axios.get(this.url+'bar', {headers: {Token: token}})
    }
    getOneUserBar(token, data) {
        return axios.post(this.url+'barGetUser', {...data}, {headers: {Token: token}})
    }
    addAmountBar(token, data) {
        return axios.post(this.url+'baradd', {...data}, {headers: {Token: token}})
    }
    addAmountFinanzer(token, data) {
        return axios.post(this.url+'finanzerAddAmount', {...data}, {headers: {Token: token}})
    }
    addCreditFinanzer(token, data) {
        return axios.post(this.url+'finanzerAddCredit', {...data}, {headers: {Token: token}})
    }
    searchUser(token, data) {
        return axios.post(this.url+'search', {...data}, {headers: {Token: token}})
    }
    getAllUser(token) {
        return axios.get(this.url+'barGetUsers', {headers: {Token: token}})
    }
    lockUser(token, data) {
        return axios.post(this.url+'finanzerLock', {...data}, {headers: {Token: token}})
    }
    finanzerSetConfig(token, data) {
        return axios.post(this.url+'finanzerSetConfig', {...data}, {headers: {Token: token}})
    }
    finanzerAddUser(token, data) {
        return axios.post(this.url+'finanzerAddUser', {...data}, {headers: {Token: token}})
    }
}

const httpClient = new Service("http://localhost:5000/")
//const httpClient = new Service("http://192.168.5.118:5000/")
//const httpClient = new Service("http://groeger-clan.duckdns.org:5000/")

export default httpClient
